OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class GetInterfacesServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.nodeManagement.GetInterfacesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class GetInterfacesServlet
extends javax.servlet.http.HttpServlet

A servlet that handles querying the database for node, interface, service combinations

Author:
  James Zuo , OpenNMS
See Also:
  Serialized Form

Field Summary
`private static java.lang.String` `INTERFACE_QUERY`
`private static java.lang.String` `SERVICE_QUERY`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`GetInterfacesServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`private java.util.List` `getInterfaces(javax.servlet.http.HttpSession userSession, int nodeId)` Retrieve all the interfaces and services from the database, and keep them in the user session.
`void` `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERFACE_QUERY

    private static final java.lang.String INTERFACE_QUERY

See Also:
  Constant Field Values

### SERVICE_QUERY

    private static final java.lang.String SERVICE_QUERY

See Also:
  Constant Field Values

Constructor Detail

### GetInterfacesServlet

    public GetInterfacesServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getInterfaces

    private java.util.List getInterfaces(javax.servlet.http.HttpSession userSession,
                                         int nodeId)
                                  throws java.sql.SQLException

  Retrieve all the interfaces and services from the database, and keep them in the user session.

  Parameters:
    `userSession` - Current user working session
    `nodeId` - Id of the node to manage
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.